 include/asm-m68knommu/bitops.h |   36 +++++++++++++++++-------------------
 1 files changed, 17 insertions(+), 19 deletions(-)

diff -puN include/asm-m68knommu/bitops.h~ext2-no-lock_super-fix-6 include/asm-m68knommu/bitops.h
--- 25/include/asm-m68knommu/bitops.h~ext2-no-lock_super-fix-6	2003-03-13 23:52:20.000000000 -0800
+++ 25-akpm/include/asm-m68knommu/bitops.h	2003-03-13 23:52:46.000000000 -0800
@@ -387,16 +387,6 @@ extern __inline__ int ext2_set_bit(int n
 	return retval;
 }
 
-static inline int ext2_set_bit_atomic(spinlock_t *lock, int nr,
-		volatile void * addr)
-{
-        int ret;
-	spin_lock(lock);
-	ret = ext2_set_bit(nr, addr);
-	spin_unlock(lock);
-	return ret;
-}
-
 extern __inline__ int ext2_clear_bit(int nr, volatile void * addr)
 {
 	int		mask, retval;
@@ -412,15 +402,23 @@ extern __inline__ int ext2_clear_bit(int
 	return retval;
 }
 
-static inline int ext2_clear_bit_atomic(spinlock_t *lock, int nr,
-                volatile void * addr)
-{
-        int ret;
-        spin_lock(lock);
-        ret = ext2_clear_bit(nr, addr);
-        spin_unlock(lock);
-        return ret;
-}
+#define ext2_set_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_set_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
+
+#define ext2_clear_bit_atomic(lock, nr, addr)		\
+	({						\
+		int ret;				\
+		spin_lock(lock);			\
+		ret = ext2_clear_bit((nr), (addr));	\
+		spin_unlock(lock);			\
+		ret;					\
+	})
 
 extern __inline__ int ext2_test_bit(int nr, const volatile void * addr)
 {

_
